﻿
@section scripts{
    <script src="~/ADMIN/JS/moment.js"></script>
    <script src="~/ADMIN/JS/moment-jalaali.js"></script>
}
<div class="wrapper-grid">
    <div class="k-rtl">
        @(Html.Kendo().Grid<AffiliateGroup>()
           .Name("grid")
           .Events(e => e.DataBound("DataBound"))
           .Events(e => e.Edit("Edit"))
           .Columns(columns =>
           {
               columns.Bound(c => c.Title).Title("عنوان");
               columns.Bound(c => c.Token).Title("توکن").Width(200);
               columns.Bound(c => c.CreateTime).Format("{0:yyyy-MM-dd HH:mm:ss}").HtmlAttributes(new { style = "white-space: pre-line;text-align:center;letter-spacing: 2px;font-size: 12px;" }).Title("تاریخ ثبت");
               columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);
           })

            .ToolBar(t => t.Create().Text("گروه جدید"))
            .ColumnMenu()
          .ClientDetailTemplateId("Details")
          .Editable(editable =>
          {
              editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
              editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
          }
          )
          .Pageable(pageable => pageable
               .Refresh(true)
               .PageSizes(true)
               .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
               .PageSizes(new int[] { 10, 20, 30 }))
          .Navigatable()
          .Selectable(selectable =>
          {
              selectable.Mode(GridSelectionMode.Single);
              selectable.Type(GridSelectionType.Row);
          })
          .Sortable(sortable =>
          {
              sortable.SortMode(GridSortMode.SingleColumn);
          })
          .Filterable()
            .Scrollable(s => s.Height("auto").Enabled(false))
          .DataSource(dataSource => dataSource
              .Ajax()
              .Sort(sort => sort.Add("AffiliateGroupID").Descending())
              .Model(model => model.Id(p => p.AffiliateGroupID))
              .Read(read => read.Action("AffiliateGroup_Read", "AffiliateGroup"))
              .Create(update => update.Action("AffiliateGroup_Create", "AffiliateGroup"))
              .Update(update => update.Action("AffiliateGroup_Update", "AffiliateGroup"))
              .Destroy(destroy => destroy.Action("AffiliateGroup_Destroy", "AffiliateGroup"))
          )
        )
    </div>
</div>



<script id="Details" type="text/kendo-tmpl">
    @(Html.Kendo().TabStrip()
        .Name("tabStrip_#=AffiliateGroupID#")
        .SelectedIndex(0)
        .Animation(animation => animation.Open(open => open.Fade(FadeDirection.In)))
        .Items(items =>
        {

            items.Add().Text("گروه ها").Content(
                @<text>
                    <div class="wrapper-grid">
                        <div class="k-rtl">
                            @(Html.Kendo().Grid<AffiliateDetail>()
                                   .Name("AffiliateDetail_cat_#=AffiliateGroupID#")
                                   .Events(e => e.DataBound("DataBound"))
                                   //.Events(e => e.Edit("Edit"))
                                   .Columns(columns =>
                                   {
                                        columns.ForeignKey(p => p.CategoryID, (System.Collections.IEnumerable)ViewData["Categories"], "CategoryID", "Name").Title("گروه");
                                        columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);      
                                   })

                                  .ToolBar(t => t.Create().Text("کتگوری جدید"))
                                  .ColumnMenu()
                                .Editable(editable =>
                                    {
                                        editable.Mode(GridEditMode.InLine);
                                        editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                    })
                                  .Pageable(pageable => pageable
                                       .Refresh(true)
                                       .PageSizes(true)
                                       .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                       .PageSizes(new int[] { 10, 20, 30 }))
                                  .Navigatable()
                                  .Selectable(selectable =>
                                  {
                                      selectable.Mode(GridSelectionMode.Single);
                                      selectable.Type(GridSelectionType.Row);
                                  })
                                  .Sortable(sortable =>
                                  {
                                      sortable.SortMode(GridSortMode.SingleColumn);
                                  })
                                  .Filterable()
                                    .Scrollable(s => s.Height("auto").Enabled(false))
                                  .DataSource(dataSource => dataSource
                                      .Ajax()
                                      .Sort(sort => sort.Add("AffiliateDetailID").Descending())
                                      .Model(model => model.Id(p => p.AffiliateDetailID))
                                      .Read(read => read.Action("AffiliateDetail_Read", "AffiliateDetail" , new { _AffiliateGroupID = "#=AffiliateGroupID#" } ))
                                      .Create(read => read.Action("AffiliateDetail_Create", "AffiliateDetail" , new { _AffiliateGroupID = "#=AffiliateGroupID#" } ))
                                      .Update(update => update.Action("AffiliateDetail_Update", "AffiliateDetail"))
                                      .Destroy(destroy => destroy.Action("AffiliateDetail_Destroy", "AffiliateDetail"))
                                  ).ToClientTemplate()
                            )
                        </div>
                    </div>
                </text>
            );

            items.Add().Text("قراردادها").Content(
                @<text>
                    <div class="wrapper-grid">
                        <div class="k-rtl">
                            @(Html.Kendo().Grid<AffiliateDetail>()
                                   .Name("AffiliateDetail_single_#=AffiliateGroupID#")
                                   .Events(e => e.DataBound("DataBound"))
                                   .Events(e => e.Edit("Edit"))
                                   .Columns(columns =>
                                   {
                                       columns.ForeignKey(p => p.ContractID, (System.Collections.IEnumerable)ViewData["Contracts"], "ContractID", "Name").Title("عنوان");
                                       columns.Bound(c => c.Price);
                                       columns.Bound(c => c.Discount);
                                    columns.Command(command => { command.Edit().Text(" "); command.Destroy().Text(" "); }).Width(150);

                                   })
                                  .ToolBar(t => t.Create().Text("قرارداد جدید"))
                                  .ColumnMenu()
                                .Editable(editable =>
                                {
                                    editable.Mode(GridEditMode.PopUp).Window(q => q.Width(700));
                                    editable.DisplayDeleteConfirmation("آیا از حذف این ردیف اطمینان دارید ؟ ");
                                }
                                )   
                                  .Pageable(pageable => pageable
                                       .Refresh(true)
                                       .PageSizes(true)
                                       .ButtonCount(10).Messages(m => m.ItemsPerPage("نمایش در هر صفحه"))
                                       .PageSizes(new int[] { 10, 20, 30 }))
                                  .Navigatable()
                                  .Selectable(selectable =>
                                  {
                                      selectable.Mode(GridSelectionMode.Single);
                                      selectable.Type(GridSelectionType.Row);
                                  })
                                  .Sortable(sortable =>
                                  {
                                      sortable.SortMode(GridSortMode.SingleColumn);
                                  })
                                  .Filterable()
                                    .Scrollable(s => s.Height("auto").Enabled(false))
                                  .DataSource(dataSource => dataSource
                                      .Ajax()
                                      .Sort(sort => sort.Add("AffiliateDetailID").Descending())
                                      .Model(model => model.Id(p => p.AffiliateDetailID))
                                      .Read(read => read.Action("AffiliateDetail_Read", "AffiliateDetail" , new { _AffiliateGroupID = "#=AffiliateGroupID#" , single = true } ))
                                      .Create(read => read.Action("AffiliateDetail_Create", "AffiliateDetail" , new { _AffiliateGroupID = "#=AffiliateGroupID#" } ))
                                      .Update(update => update.Action("AffiliateDetail_Update", "AffiliateDetail"))
                                      .Destroy(destroy => destroy.Action("AffiliateDetail_Destroy", "AffiliateDetail"))
                                  ).ToClientTemplate()
                            )
                        </div>
                    </div>
                </text>
            );

        }
        ).ToClientTemplate()
    )
</script>



<script>
    function DataBound(e) {
        var grid = this;
        grid.tbody.find("tr[role='row']").each(function (index, value) {
            var model = grid.dataItem(this);
            grid.tbody.find("tr[role='row']").each(function (index, value) {
                var model = grid.dataItem(this);
                $(this).find('td').each(function (index, value) {
                    if ($(this).text().includes(":") && $(this).text().includes("-")) {
                        var result = moment($(this).text(), 'YYYY-M-D HH:mm:ss')
                            .format('jYYYY/jM/jDD HH:mm:ss')
                        result = result.replace(' ', '\n');
                        $(this).text(result)
                    }
                })
            });
        });

    }
    function Edit(e) {


        $(e.container["0"].firstChild.children[0]).hide();
        $(e.container["0"].firstChild.children[1]).hide();

        $(e.container["0"].firstChild.children[4]).hide();
        $(e.container["0"].firstChild.children[5]).hide();

        $(e.container["0"].firstChild.children[8]).hide();
        $(e.container["0"].firstChild.children[9]).hide();


        var kendoWindow = e.container.data("kendoWindow");
        if (e.model.isNew()) {
            kendoWindow.setOptions({
                title: ""
            });
        } else {
            kendoWindow.setOptions({
                title: "مشاهده جزئیات بیشتر"
            });
        }

    }

</script>